@import url('https://fonts.googleapis.com/css2?family=Onest:wght@100..900&display=swap');
@import url('nav.css');

:root {
    --primary-color: #1968A8;
    --secondary-color: #000;
    --red-color: #ff0000;
    --yellow-color: #FCBF2E;
    --dark-color: #200055;
    --white-color: #FFFFFF;
    --text-color: #4D4D4D;
    --text-color-2: #7B7B7B;
    --my-shadow: 0 2px 2px 0px rgba(0, 0, 0, 0.1)
}

*,
html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


body {
    font-size: 100%;
    margin: 0;
    padding: 0;
    font-family: "Onest", sans-serif;
    letter-spacing: 0.25px;
    color: #121212;
}

a {
    text-decoration: none;
    color: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6,
ul {
    margin: 0;
    padding: 0;
}

ul {
    list-style: none;
}

.pointer {
    cursor: pointer;
}

.primary-color {
    color: var(--primary-color) !important;
}

.red-color {
    color: var(--red-color) !important;
}

.grey-text {
    color: #777;
}

.container-fluid {
    padding: 0 10%;
}

.section-padding {
    padding: 4rem 0;
}

.title {
    font-size: 2.25rem;
    margin-bottom: 2.5rem;
}

header {
    padding: 1.25rem 0;
    border-bottom: 1px solid #E6E6E6;
}

.main-logo {
    height: 40px;
}

.navigation .search-area button {
    right: 0.8rem;
}

.navigation.scroll-on {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    background: var(--primary-color) !important;
    transition: all ease-in-out 0.2s;
    box-shadow: 0 -2px 20px 5px #0000000f;
    animation: fadeInDown 0.5s ease-in-out;
    padding: 0.5rem 0;
    border: none;
}

.scroll-on .nav-menu>li>a {
    color: var(--white-color) !important;
}

.scroll-on .submenu-indicator-chevron {
    border-width: 0 2px 2px 0;
    border-color: transparent #b6b6b6 #cccccc transparent;
}

@keyframes fadeInDown {
    0% {
        top: -30%;
    }

    50% {
        top: -15%;
    }

    100% {
        top: 0;
    }
}

/* From Uiverse.io by vinodjangid07 */
.btn1 {
    min-width: 130px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: var(--primary-color);
    border: none;
    color: white;
    font-weight: 600;
    gap: 8px;
    padding: 0 24px;
    cursor: pointer;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.103);
    position: relative;
    overflow: hidden;
    transition-duration: .3s;
    border-radius: 6px;
}

.btn1::before {
    width: 130px;
    height: 130px;
    position: absolute;
    content: "";
    background-color: #05a300;
    border-radius: 50%;
    left: -100%;
    top: 0;
    transition-duration: .3s;
}

.btn1 span {
    position: relative;
    z-index: 5;
}

.btn1:hover::before {
    transition-duration: .3s;
    transform: translate(100%, -50%);
    border-radius: 0;
}

.btn1:active {
    transform: translate(5px, 5px);
    transition-duration: .3s;
}

/* ================================ 
Banner Section 
=================================== */
.banner-slider {
    .slick-prev {
        left: 45px;
    }

    .slick-next {
        right: 45px;
    }
}

.banner img {
    width: 100%;
    object-fit: contain;
    object-position: center;
    /*height: 610px;*/
}

.category h3 {
    font-size: 1.25rem;
    margin-top: 1rem;
    text-align: center;
    color: var(--primary-color);
    font-weight: 600;
    font-style: italic;
}

.category .image,
.category .image .reveal,
.reveal .cat-img {
    width: 100%;
    aspect-ratio: 1/1;
}

.product-over {
    background-color: #F6F9FC;
}

.product-over .inner-contain {
    background-color: var(--white-color);
    padding: 0.5rem;
    box-shadow: 0px 18px 36px -18px rgba(0, 0, 0, 0.1), 0px 30px 45px -30px rgba(50, 50, 93, 0.25);
    transform: translateY(0);
    opacity: 1;

}

.product-over .inner-contain h5 {
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.product-over .inner-contain p {
    font-size: 0.95rem;
    line-height: 1.6rem;
    color: #686868;
    padding-top: 0.65rem;
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.product-over .inner-contain .img-fluid {
    width: 100%;
    aspect-ratio: 4/3;
    object-fit: cover;
    object-position: center;
    transition: transform 0.3s ease;
}



.news-section .card-img-top {
    width: 100%;
    aspect-ratio: 3/2;
    object-fit: cover;
}


.accordion-button {
    box-shadow: none !important;
    border: none;
    font-weight: 500;
}

.accordion-button::after {
    display: none !important;
    /* Remove Bootstrap chevron */
}

.accordion-item {
    border-radius: 6px;
    overflow: hidden;
}

.accordion-button .toggle-icon {
    font-size: 20px;
    transition: transform 0.3s, content 0.3s;
}

.accordion-button:not(.collapsed) .toggle-icon {
    content: "\ea78";
    /* ri-subtract-line */
    font-family: "remixicon";
}

.accordion-button.collapsed .toggle-icon::before {
    content: "\ea13";
    /* ri-add-line */
    font-family: "remixicon";
}

.accordion-item .icon-contain {
    width: 31px;
    aspect-ratio: 1/1;
    border-radius: 50%;
    background-color: var(--primary-color);
    color: var(--white-color);
    display: grid;
    place-items: center;

    i {
        line-height: 1;
    }
}

.accordion-body p {
    font-size: 0.95rem;
    line-height: 1.5rem;
    margin-bottom: 1rem;

    &:last-child {
        margin-bottom: 0;
    }
}

.accordion-button {
    border: 0;
    border-bottom: 1px solid #dbdbdb;
}

footer {
    background-color: #020c1b;
    font-size: 0.875rem;
}

footer a:hover {
    color: #0d6efd !important;
    transition: color 0.3s ease;
}

.footer-bottom {
    border-top: 1px solid rgba(255, 255, 255, 0.2);
    margin-top: 2rem;
    padding-top: 1rem;
    font-size: 0.85rem;
}

footer li {
    margin-bottom: 0.75rem;
}

.inner-banner {
    background-color: var(--primary-color);
    color: var(--white-color);
}

.breadcrumb-item {
    color: #ffffffb0;
}

.breadcrumb-item.active {
    color: #ffffff;
}

.breadcrumb-item+.breadcrumb-item::before {
    color: rgba(255, 255, 255, 0.75);
}




.contact-box {
    background: #fff;
    border-radius: 16px;
    padding: 28px;
    box-shadow: 0 12px 40px rgba(0, 0, 0, 0.06);
}

/* FORM */
.form-control {
    border-radius: 10px;
    padding: 12px 14px;
    font-size: 14px;
}

/* CONTACT INFO */
.contact-info li a {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 12px;
    font-size: 14px;
}

.contact-info i {
    color: #0d6efd;
    font-size: 16px;
}

/* MAP */
.map-box {
    position: relative;
    border-radius: 14px;
    overflow: hidden;
}

.map-box iframe {
    width: 100%;
    height: 280px;
    border: 0;
}

.map-card {
    position: absolute;
    bottom: 16px;
    left: 16px;
    background: #fff;
    padding: 14px 16px;
    border-radius: 12px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
    max-width: 260px;
}

.social-links a {
    display: inline-block;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: var(--primary-color);
    color: #fff;
    display: grid;
    place-items: center;
}

.blog-content p {
  line-height: 1.8;
  color: #444;
}

/* MOBILE */
@media (max-width: 768px) {
    .map-card {
        position: static;
        margin-top: 12px;
        box-shadow: none;
    }
}













@media (max-width: 1440px) {
    .container-fluid {
        padding: 0 4%;
    }


}

@media (max-width: 1366px) {
    .nav-menu>li>a {
        font-size: 0.875rem;
    }

    .product-over .inner-contain p {
        -webkit-line-clamp: 2;
    }
}

@media (max-width: 1140px) {
    .top-contact img {
        height: 36px !important;
    }

    .top-contact h6 {
        font-size: 14px;
    }

    .news-section .card-title {
        font-size: 1.125rem;
        line-height: 1.3;
        text-overflow: ellipsis;
        overflow: hidden;
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
    }

    .news-section .card-text {
        text-overflow: ellipsis;
        overflow: hidden;
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        font-size: 0.875rem;
    }
}

@media (max-width: 991px) {
    .section-padding {
        padding: 40px 0;
    }

    .title {
        font-size: 1.5rem;
    }

    .navigation-portrait .nav-brand {
        line-height: 0;
    }

    .nav-header {
        display: flex;
        width: 100%;
        justify-content: space-between;
        align-items: center;
    }

    .navigation-portrait {
        height: 80px;
        display: flex;
        align-items: center;
    }

    header {
        display: none;
    }

    .navigation-portrait .nav-menus-wrapper {
        display: flex !important;
        justify-content: start !important;
        align-items: start !important;
        padding-top: 65px;
    }

    .navigation-portrait .nav-menu>li>a {
        padding: 10px 50px 10px 20px;
        font-size: 14px;
    }

    .navigation-portrait .nav-dropdown>li>a {
        padding: 12px 20px 12px 30px;
        font-size: 14px;
    }

    .navigation-portrait .nav-dropdown>li>ul>li>a {
        padding-left: 46px;
        font-size: 13px;
    }

    .navigation.scroll-on {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 999;
        background: var(--white-color) !important;
        transition: all ease-in-out 0.2s;
        box-shadow: 0 -2px 20px 5px #0000000f;
        animation: fadeInDown 0.5s ease-in-out;
        padding: 0.5rem 0;
        border: none;
    }

    .scroll-on .nav-menu>li>a {
        color: #121212 !important;
    }

    .reverse {
        flex-direction: column-reverse;
    }
    .nav-brand img {
        height: 36px;
    }
}

@media (max-width: 575px) {
    .accordion-item .icon-contain {
        width: auto;
        font-size: 0.875rem;
        line-height: 1.5;
    }

    .nav-brand img {
        height: 30px;
    }

    .accordion-item span {
        line-height: 1.5;
    }
    .contact-box {
    padding: 10px;
}
}